FROM golang:alpine AS builder
WORKDIR /app
COPY . .
RUN go build -o main .


FROM alpine:latest
WORKDIR /app
COPY --from=builder /app/main /app/main
COPY --from=builder /app/templates /app/templates
EXPOSE 8181
CMD ["/app/main"]
